<template>
    <div class="col-right">
        <MainMenu />
        <div class="apps-container">
            <div class="apps-wrapper">
                <!--                <div class="app-item app-messenger">-->
                <!--                    <p>Messenger</p>-->
                <!--                </div>-->
                <div class="app-item app-email">
                    <p>Email</p>
                </div>
                <!--                <div class="app-item app-push">-->
                <!--                    <p>Push</p>-->
                <!--                </div>-->
                <div class="app-item app-sms">
                    <p>Sms</p>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import MainMenu from "./MainMenu";

export default {
    name: "ColRight",
    components: {MainMenu}
}
</script>

<style scoped lang="scss">

.apps-wrapper .app-item:first-child {
    margin-bottom: 20px;
}

.apps-wrapper .app-item:nth-child(odd) {
    margin-right: 20px;
}

.apps-wrapper .app-item {
    background-size: 20% !important;
}

.apps-wrapper .app-messenger {
    background: url(../../../assets/images/messenger-logo.svg) center no-repeat;
}

.apps-wrapper .app-email {
    background: url(../../../assets/images/app-email.svg) center no-repeat;
}

.apps-wrapper .app-push {
    background: url(../../../assets/images/app-push.svg) center no-repeat;
}

.apps-wrapper .app-sms {
    background: url(../../../assets/images/app-sms.svg) center no-repeat;
}

.apps-wrapper .app-item:hover {
    border: 2px solid #08F363;
}

.apps-wrapper .app-item p {
    font-size: 18px;
    margin-bottom: 25px;
}

.apps-wrapper .app-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    width: 200px;
    height: 200px;
    border: 2px solid #42A6F7;
    border-radius: 10px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: .2s;
    transition: .2s;
}


.col-right {
    position: relative;
    float: left;
    width: 50%;
    padding: 60px;
    @media screen and (max-width: 991px) {
        width: 100%;
        position: unset;
    }
}

.apps-wrapper {
    max-width: 440px;
    max-height: 440px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    @media(max-width: 550px) {
        justify-content: center;
        .app-item.app-email {
            margin-right: 0;
        }
    }
}

.apps-container {
    width: 100%;
    height: 100%;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-size: 16px;
}

</style>
